//
//  OTRSite.m
//  OldTimeRadio
//
//  Created by Brian Moakley on 5/28/14.
//  Copyright (c) 2014 Razeware. All rights reserved.
//

#import "OTRSite.h"

@implementation OTRSite

-(id)initWithCoder:(NSCoder *)aDecoder
{
    self = [super init];
    if (self)
    {
        _name = [aDecoder decodeObjectForKey:@"favoriteSiteName"];
        _address = [aDecoder decodeObjectForKey:@"favoriteSiteAddress"];
        _isFree = [aDecoder decodeBoolForKey:@"favoriteIsFree"];
        _isMembershipRequired = [aDecoder decodeBoolForKey:@"favoriteIsMembershipRequired"];
    }
    return self;
}

-(void) encodeWithCoder:(NSCoder *)aCoder
{
    [aCoder encodeObject:self.name forKey:@"favoriteSiteName"];
    [aCoder encodeObject:self.address forKey:@"favoriteSiteAddress"];
    [aCoder encodeBool:self.isFree forKey:@"favoriteIsFree"];
    [aCoder encodeBool:self.isMembershipRequired forKey:@"favoriteIsMembershipRequired"];
    
}

-(NSString *) description
{
    return [NSString stringWithFormat:@"Site: %@", self.name];
}

@end
