//
//  OTRShow.m
//  OldTimeRadio
//
//  Created by Brian Moakley on 5/28/14.
//  Copyright (c) 2014 Razeware. All rights reserved.
//

#import "OTRShow.h"

@implementation OTRShow

-(id)initWithCoder:(NSCoder *)aDecoder
{
    self = [super init];
    if (self)
    {
        _title = [aDecoder decodeObjectForKey:@"showName"];
        _showId = [aDecoder decodeIntegerForKey:@"showId"];
        _thumbnailFileName = [aDecoder decodeObjectForKey:@"showThumbnailFileName"];
        _showDescription = [aDecoder decodeObjectForKey:@"showDescription"];
    }
    return self;
}

-(void) encodeWithCoder:(NSCoder *)aCoder
{
    [aCoder encodeObject:self.title forKey:@"showName"];
    [aCoder encodeInteger:self.showId forKey:@"showId"];
    [aCoder encodeObject:self.thumbnailFileName forKey:@"showThumbnailFileName"];
    [aCoder encodeObject:self.showDescription forKey:@"showDescription"];
}

-(NSString *) description
{
    return [NSString stringWithFormat:@"Show: %@", self.title];
}

@end
